Bug 73100 - Please use AC_PATH_TOOL instead of AC_PATH_PROG for llvm-config
Summary: Please use AC_PATH_TOOL instead of AC_PATH_PROG for llvm-config
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Other (show other bugs)
Version: git
Hardware: Other All
: medium normal
Assignee: mesa-dev
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-12-28 11:29 UTC by Michał Górny
Modified: 2014-01-17 23:20 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
Patch replacing the check with AC_PATH_TOOL (1.05 KB, patch)
2013-12-28 11:29 UTC, Michał Górny
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Michał Górny 2013-12-28 11:29:59 UTC
Created attachment 91255 [details] [review]
Patch replacing the check with AC_PATH_TOOL

Since llvm-config is a tool used to obtain build host paths, the check should use AC_PATH_TOOL instead of AC_PATH_PROG. This helps with cross-compiling and multilib, e.g. finding i686-pc-linux-gnu-llvm-config as necessary.
Comment 1 Michał Górny 2014-01-17 23:20:03 UTC
My patch has been committed already :) [1]

[1]:http://cgit.freedesktop.org/mesa/mesa/commit/?id=5ea23763349346f


bug/show.html.tmpl processed on Aug 26, 2016 at 11:56:01.
(provided by the Example extension).